com.lowagie.text.pdf

## Class PRAcroForm.FieldInformation

- java.lang.Object
- - com.lowagie.text.pdf.PRAcroForm.FieldInformation

Enclosing class:
  PRAcroForm

    public static class PRAcroForm.FieldInformation
    extends java.lang.Object

This class holds the information for a single field

### Field Summary

Fields
`(package private) PdfDictionary` `info`
`(package private) java.lang.String` `name`
`(package private) PRIndirectReference` `ref`

### Constructor Summary

Constructors
Constructor and Description
`PRAcroForm.FieldInformation(java.lang.String name, PdfDictionary info, PRIndirectReference ref)`

### Method Summary

Methods
`PdfDictionary` `getInfo()`
`java.lang.String` `getName()`
`PRIndirectReference` `getRef()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### name

    java.lang.String name

#### info

    PdfDictionary info

#### ref

    PRIndirectReference ref

### Constructor Detail

#### PRAcroForm.FieldInformation

    PRAcroForm.FieldInformation(java.lang.String name,
                               PdfDictionary info,
                               PRIndirectReference ref)

### Method Detail

#### getName

    public java.lang.String getName()

#### getInfo

    public PdfDictionary getInfo()

#### getRef

    public PRIndirectReference getRef()